<?php
define('IS_NOT_LOGIN', true); // 로그인 하지 않은 상태에서 접근하는 파일인 경우

include "_MyAdminConfig.php";

function eMailCheck($_str)
{
    if (preg_match("/^[_\.0-9a-zA-Z-]+@([0-9a-zA-Z][0-9a-zA-Z-]+\.)+[a-zA-Z]{2,6}$/i", $_str) == false)
    {
        return false;
        // array(false, "올바른 이메일 주소를 입력해주세요.");
    }
    else
    {
        return true;
        // return array(true);
    }
}

$str = addslashes(trim($_REQUEST['skey']));

// 암호화 해독 2회 필요
$decrypted_tmp = Decrypt($str, $secret_key, $secret_iv);
$decrypted = Decrypt($decrypted_tmp, $secret_key, $secret_iv);
$decrypted_arr = explode("Œ",$decrypted);

$create_time_stamp = $decrypted_arr[0];
$create_passwd = $decrypted_arr[1];
$memid = $decrypted_arr[2];
$mememail = $decrypted_arr[3];

$new_mempwd = $create_passwd."_pwd_".$memid."_id";
$md5_mempwd = md5($new_mempwd);

if ($create_time_stamp < (time()-300)) { // 300초(5분) 이내 유효
	echo "임시비밀번호 유효시간(5분)이 경과 하였습니다.";
	exit;
} else {
	if (trim($_REQUEST['skey'])!="" && eMailCheck($mememail) === true) {
		$query = "UPDATE `admin_member` SET mempwd='$md5_mempwd' WHERE memid='$memid' AND mememail='$mememail' ";
		if (mysqli_query($db,$query)) {
			header('location:'.$HOME_ADMIN_URL."/login_admin.php?m=임시비밀번호로 다시 로그인 하십시오.");
			exit;
		}
	} else {
		die("비정상적인 접근이 감지 되었습니다. (RPC-TYPE)");
	}
}
?>